<script lang="ts">
  import { GameState, Phase } from "./domain";

  import PlayersInline from "./PlayersInline.svelte";

  export let game: GameState;
  $: phase = game.phase();
</script>

<em>
  {#if phase === Phase.Drafting}
    Every player must pick a card.
  {:else if phase === Phase.Swapping}
    <PlayersInline playerIds={game.swappingPlayers()} /> used their Takeout Box and
    may pick another card.
  {:else if phase === Phase.Reveal}
    {#if game.players().some((p) => p.handSize() > 0)}
      Players will pass their hands to their left.
    {:else}
      All cards have been picked. <br />
      Scores will be calculated.
    {/if}
  {/if}
</em>

<style>
  em {
    font-weight: 300;
  }
</style>
